Robot Simulator of the Robotics Group for Self-Organization of Control: OneAxisServoVel Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OneAxisServoVel Class Reference

general servo motor to achieve position control that that internally controls the velocity of the motor (much more stable) with centered zero position More...

`#include <oneaxisservo.h>`

Inherits OneAxisServo.

Inheritance diagram for OneAxisServoVel:

[legend]
Collaboration diagram for OneAxisServoVel:

[legend]
List of all members.

## Public Member Functions
| OneAxisServoVel (const OdeHandle &odeHandle, OneAxisJoint *joint, double _min, double _max, double power, double damp=0.01, double maxVel=20, double jointLimit=1.3)
| min and max values are understood as travel bounds.
virtual | ~OneAxisServoVel ()
virtual void | setPower (double power)
| adjusts the power of the servo
virtual double | getPower ()
| returns the power of the servo
virtual double & | offsetCanceling ()
| offetCanceling does not exist for this type of servo
virtual void | setMaxVel (double maxVel)
| adjusts maximal speed of servo
virtual double | getMaxVel ()
| adjusts maximal speed of servo
virtual void | set (double pos)
| sets the set point of the servo.
virtual double | get ()
| returns the position of the servo in ranges [-1, 1] (scaled by min, max, centered)
## Protected Attributes
AngularMotor1Axis | motor
double | dummy

## Detailed Description

general servo motor to achieve position control that that internally controls the velocity of the motor (much more stable) with centered zero position

## Constructor & Destructor Documentation

OneAxisServoVel | ( | const OdeHandle & | odeHandle,
|  | OneAxisJoint * | joint,
|  | double | _min,
|  | double | _max,
|  | double | power,
|  | double | damp = `0.01`,
|  | double | maxVel = `20`,
|  | double | jointLimit = `1.3` |
| ) |  |  | `[inline]`

min and max values are understood as travel bounds.

The zero position is max-min/2

virtual ~OneAxisServoVel | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual double get | ( |  | ) | `[inline, virtual]`

returns the position of the servo in ranges [-1, 1] (scaled by min, max, centered)

Reimplemented from OneAxisServo.

virtual double getMaxVel | ( |  | ) | `[inline, virtual]`

adjusts maximal speed of servo

Reimplemented from OneAxisServo.

virtual double getPower | ( |  | ) | `[inline, virtual]`

returns the power of the servo

Reimplemented from OneAxisServo.

virtual double& offsetCanceling | ( |  | ) | `[inline, virtual]`

offetCanceling does not exist for this type of servo

Reimplemented from OneAxisServo.

virtual void set | ( | double | pos | ) | `[inline, virtual]`

sets the set point of the servo.

Position must be between -1 and 1. It is scaled to fit into min, max, however 0 is just in the center of min and max

Reimplemented from OneAxisServo.

virtual void setMaxVel | ( | double | maxVel | ) | `[inline, virtual]`

adjusts maximal speed of servo

Reimplemented from OneAxisServo.

virtual void setPower | ( | double | power | ) | `[inline, virtual]`

adjusts the power of the servo

Reimplemented from OneAxisServo.

## Member Data Documentation

double dummy`[protected]`

AngularMotor1Axis motor`[protected]`

The documentation for this class was generated from the following file:

- oneaxisservo.h